﻿Public Class AppointmentEditForm
    Private _appt As AppointmentExampleDataSet.apptRow

    Public Sub New(ByVal appt As AppointmentExampleDataSet.apptRow)
        InitializeComponent()
        _appt = appt
    End Sub

    Private Sub ApptBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Validate()
        Me.ApptBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.AppointmentExampleDataSet)

    End Sub

    Private Sub AppointmentEditForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'These are used to fill the combo boxes
        Me.ApptTypeTableAdapter.Fill(Me.AppointmentExampleDataSet.ApptType)
        Me.EmployeeTableAdapter.Fill(Me.AppointmentExampleDataSet.employee)

        'load the values into the form fields
        ApptIDTextBox.Text = _appt.apptID
        StartTimeDateTimePicker.Value = _appt.startTime
        EndTimeDateTimePicker.Value = _appt.endTime
        DescriptionTextBox.Text = _appt.description
        EmployeeUltraCombo.Value = _appt.employeeID
        ApptTypeUltraComboBox.Value = _appt.ApptTypeID
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click

        _appt.startTime = StartTimeDateTimePicker.Value
        _appt.endTime = EndTimeDateTimePicker.Value
        _appt.subject = ApptTypeUltraComboBox.Text & " with " & EmployeeUltraCombo.SelectedRow.Cells("FullName").Value
        _appt.description = DescriptionTextBox.Text
        _appt.employeeID = EmployeeUltraCombo.Value
        _appt.ApptTypeID = ApptTypeUltraComboBox.Value


    End Sub
End Class